package com.steerinfo.dil.mapper;


import com.steerinfo.dil.model.AmsRailOffsetDayplan;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmsRailOffsetDayplanMapper extends IBaseMapper<AmsRailOffsetDayplan, BigDecimal> {
    /**
     * 得到最大id
     * @return
     */
    Integer selectMaxId();
    @Select("select seq_AMS_OTHER.nextval from dual")
    Integer selectOtherId();
    //展示钢材发往异地库日计划
    List<Map<String, Object>> getRailOffsetDayplan(Map<String, Object> mapValue);


}