package com.steerinfo.dil.mapper;


import com.steerinfo.dil.model.AmstruckInwardRequirement;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmstruckInwardRequirementMapper extends IBaseMapper<AmstruckInwardRequirement, BigDecimal> {
    @Select("select seq_inward_requirement.nextval from dual")
    BigDecimal selectOtherId();
    //展示用车需求
    List<Map<String, Object>> getTruckRequirementList(Map<String, Object> mapValue);
}