package com.steerinfo.dil.service.impl;


import com.steerinfo.dil.mapper.AmsRailOffsetDayplanMapper;
import com.steerinfo.dil.model.AmsRailOffsetDayplan;
import com.steerinfo.dil.service.IAmsRailOffsetDayplanService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * AmsRailOffsetDayplan服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 04:17
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：AmsRailOffsetDayplan服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amsRailOffsetDayplanService")
public class AmsRailOffsetDayplanServiceImpl extends BaseServiceImpl<AmsRailOffsetDayplan, BigDecimal> implements IAmsRailOffsetDayplanService {

    @Autowired
    private AmsRailOffsetDayplanMapper amsRailOffsetDayplanMapper;

    @Override
    protected IBaseMapper<AmsRailOffsetDayplan, BigDecimal> getMapper() {
        return amsRailOffsetDayplanMapper;
    }

    /**
     * 查询最大id
     * @return
     */
    @Override
    public Integer selectMaxId() {

        return amsRailOffsetDayplanMapper.selectOtherId();
    }

    public List<Map<String, Object>> getRailOffsetDayplan(Map<String, Object> mapValue) {
        return amsRailOffsetDayplanMapper.getRailOffsetDayplan(mapValue);
    }
    @Override
    public int insert(AmsRailOffsetDayplan amsRailOffsetDayplan) {
        amsRailOffsetDayplan.setDayplanId(selectMaxId());
        amsRailOffsetDayplan.setInsertTime(new Date());
        amsRailOffsetDayplan.setUpdateTime(new Date());
        amsRailOffsetDayplan.setInsertUsername("admin");
        amsRailOffsetDayplan.setUpdateUsername("admin");
        return amsRailOffsetDayplanMapper.insertSelective(amsRailOffsetDayplan);
    }

    public int update(AmsRailOffsetDayplan amsRailOffsetDayplan) {
        return amsRailOffsetDayplanMapper.updateByPrimaryKey(amsRailOffsetDayplan);
    }
}
