package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsDispatchSaleOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsDispatchSaleOrder服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-10 03:59
 * 类描述
 * 修订历史：
 * 日期：2021-09-10
 * 作者：generator
 * 参考：
 * 描述：AmsDispatchSaleOrder服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsDispatchSaleOrderService{
    List<Map<String, Object>> getOpenDispatchSaleOrder(Map<String, Object> mapValue);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();
    //新增固定派单
    int insert(AmsDispatchSaleOrder ad);

    /**
     * app端公开抢单
     * @return
     */
    List<Map<String, Object>> getDispatchSaleOrderList();

    /**
     * 抢单
     * @param dispatchId
     * @param carrierId
     * @return
     */
    int lockDispatchSaleOrder(BigDecimal dispatchId,BigDecimal carrierId);

    /**
     * 查询app端已抢的销售订单
     * @param carrierId
     * @return
     */
    List<Map<String, Object>> getLockDispatchSaleOrderList(Integer carrierId);
}